package net.sourceforge.basher.annotations;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.lang.annotation.ElementType;

/** Defines the amount of which the tasks weight (chance of running) should be incremented by after each successful
 * invocation.  Defined as a value between 1.0 and 2.0.
 * @author Johan Lindquist
 * @version $Revision$
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface BasherInertia
{
    /** Defines the amount of which the tasks weight (chance of running) should be incremented by after each successful
      * invocation.  Defined as a value between 1.0 and 2.0.
     * @return The inertia
     */
    double inertia();
}