package net.sourceforge.basher.annotations;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.lang.annotation.ElementType;

/** Defines the maximum number of times that the task in question may be executed.  The default is 0 (execute without
 * restrictions).
 * @author Johan Lindquist
 * @version $Revision$
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface BasherMaxInvocations
{
    /** Defines the maximum number of times the task may execute.
     *
     * @return The maximum number
     */
    int max() default 0;
}