package net.sourceforge.basher.annotations;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.lang.annotation.ElementType;

/** Defines the maximum amount of time a task is allowed to execute before an error is raised.
 * @author Johan Lindquist
 * @version $Revision$
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface BasherMaxTime
{
    /** Defines the maximum amount of time a task is allowed to execute before an error is raised.  Defined
     * in seconds
     * @return The time
     */
    int time();
}