package net.sourceforge.basher.annotations;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.lang.annotation.ElementType;

/** Defines the percentage chance for the task to be invoked if selected for execution.  Must be a a value between 1 and 100.
 * @author Johan Lindquist
 * @version $Revision$
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface BasherWeight
{
    /** Defines the percentage chance for the task to be invoked if selected for execution.
     * Must be a a value between 1 and 100.
     *
     * @return The percentage chance
     */
    int weight();
}