package net.sourceforge.basher.events;

import net.sourceforge.basher.BasherContext;

/**
 * @author Johan Lindquist
 * @version $Revision$
 */
public abstract class CollectionEvent extends BasherEvent
{
    private BasherContext _basherContext;

    protected CollectionEvent(final BasherContext basherContext)
    {
        _basherContext = basherContext;
    }

    public BasherContext getBasherContext()
    {
        return _basherContext;
    }

    @Override
    public String toString()
    {
        return "CollectionEvent{" +
                "_basherContext=" + _basherContext +
                "} " + super.toString();
    }

    @Override
    public boolean equals(final Object o)
    {
        if (this == o)
        {
            return true;
        }
        if (o == null || getClass() != o.getClass())
        {
            return false;
        }
        if (!super.equals(o))
        {
            return false;
        }

        final CollectionEvent that = (CollectionEvent) o;

        if (_basherContext != null ? !_basherContext.equals(that._basherContext) : that._basherContext != null)
        {
            return false;
        }

        return true;
    }

    @Override
    public int hashCode()
    {
        int result = super.hashCode();
        result = 31 * result + (_basherContext != null ? _basherContext.hashCode() : 0);
        return result;
    }
}