package net.sourceforge.basher.impl;

import net.sourceforge.basher.Task;
import net.sourceforge.basher.TaskConfiguration;

/** Gaderian configuration of a task.  Extends the <code>TaskConfiguration</code> by adding a task, class or object
 * instance.
 * @author Johan Lindquist
 */
public class ModuleDescriptorTaskContribution extends TaskContribution
{
    private Class _clazz;
    private Object _instance;

    public ModuleDescriptorTaskContribution(final Task task, final TaskConfiguration taskConfiguration)
    {
        super(task,taskConfiguration);
    }

    public ModuleDescriptorTaskContribution(final Task task)
    {
        super(task);
    }
    public ModuleDescriptorTaskContribution()
    {
    }

    public Class getClazz()
    {
        return _clazz;
    }

    public void setClazz( final Class clazz )
    {
        _clazz = clazz;
    }

    public Object getInstance()
    {
        return _instance;
    }

    public void setInstance( final Object instance )
    {
        _instance = instance;
    }

    @Override
    public String toString()
    {
        return "ModuleDescriptorTaskContribution{" +
                "_clazz=" + _clazz +
                ", _instance=" + _instance +
                "} " + super.toString();
    }

    @Override
    public boolean equals( final Object o )
    {
        if ( this == o )
        {
            return true;
        }
        if ( !( o instanceof ModuleDescriptorTaskContribution ) )
        {
            return false;
        }
        if ( !super.equals( o ) )
        {
            return false;
        }

        final ModuleDescriptorTaskContribution that = ( ModuleDescriptorTaskContribution ) o;

        if ( _clazz != null ? !_clazz.equals( that._clazz ) : that._clazz != null )
        {
            return false;
        }
        if ( _instance != null ? !_instance.equals( that._instance ) : that._instance != null )
        {
            return false;
        }

        return true;
    }

    @Override
    public int hashCode()
    {
        int result = super.hashCode();
        result = 31 * result + ( _clazz != null ? _clazz.hashCode() : 0 );
        result = 31 * result + ( _instance != null ? _instance.hashCode() : 0 );
        return result;
    }
}