package net.sourceforge.basher.internal.impl;

import java.util.List;
import java.util.ArrayList;

import net.sourceforge.basher.tasks.AbstractTask;
import net.sourceforge.basher.Phase;

/** Empty task extending the <code>AbstractTask</code> class.  This class is used if the <code>TaskManager</code> receives
 * a class (as a task) which neither extends <code>AbstractTask</code> nor implements <code>Task</code> and is declared
 * final.  The task will be wrapped by this class and calls to the task are proxied.
 *
 * @author Johan Lindquist
 * @version $Revision$
 */
public abstract class DecoratedTask extends AbstractTask
{
    public void executeTask() throws Throwable
    {
        doExecuteTask();
    }

    protected abstract void doExecuteTask() throws Throwable;

}
